import seaborn as sns
import matplotlib.pyplot as mp
from pandas import read_csv

sns.set_theme(style="white", color_codes=True)
sns.set_palette("colorblind")

switches = read_csv("../data/keyswitches_brands.csv")

axis = sns.countplot(data=switches, x="actuation_force")
axis.set(ylabel="Number of available Keyswitches", xlabel="Actuation force ± 2 g")
mp.savefig("../images/keyswitches_brands.png")
